## trayer 1.0

=== Makefile ===
# Part 0
# load common stuff
TOPDIR = .
include $(TOPDIR)/Makefile.common

# Part 1
# recursive make
.PHONY: subdirs
all clean distclean install uninstall: subdirs

SUBDIRS = systray
.PHONY: $(SUBDIRS)
subdirs: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)



SRC = panel.c misc.c plugin.c gtkbar.c bg.c 
OBJ = $(SRC:%.c=%.o)
DEP = $(SRC:%.c=%.dep)

SYSTRAYOBJ = systray/systray.o
SYSTRAYOBJ: systray


ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
ifneq ($(MAKECMDGOALS),tar)
-include $(DEP)
endif
endif
endif


TARGET = trayer
$(TARGET): $(OBJ) $(SYSTRAYOBJ)
	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) $(SYSTRAYOBJ) -o $@
ifeq (,$(DEVEL))
	strip $@
endif

all: $(TARGET)


clean:
	$(RM) $(TARGET) $(OBJ) $(DEP) *~

distclean: 
	rm -f Makefile.config config.h

install: 
	install -d $(PREFIX)/bin
	install -m 755 $(TARGET) $(PREFIX)/bin

uninstall:
	rm -f $(PREFIX)/bin/$(TARGET)

.PHONY: tar


CWD=$(shell pwd)
VER=$(shell grep -e "\#define[[:space:]]\+VERSION[[:space:]]\+" panel.c | \
		sed -e 's/^[^\"]\+\"//' -e 's/\".*$$//' )


tar: 
	$(MAKE) distclean
	cd ..; \
	if [ -e trayer-$(VER) ]; then \
		echo trayer-$(VER) already exist; \
		echo "won't override";\
		exit 1;\
	else\
		ln -s $(CWD) trayer-$(VER);\
		tar --exclude CVS -hzcvf trayer-$(VER).tgz trayer-$(VER);\
		rm -f trayer-$(VER);\
	fi;

=== systray/Makefile ===
# Part 0
# load common stuff
TOPDIR = ..
include $(TOPDIR)/Makefile.common
#$(warning INCS=$(INCS))

INCS += -I../
SRC := egg-marshal.c   eggtraymanager.c  fixedtip.c main.c  
OBJ := $(SRC:%.c=%.o)

TARGET = systray.o

all:$(TARGET)
$(TARGET): $(OBJ) 
	$(LD) -r $(OBJ) -o $@

%.o: %.c
	$(CC) $(CFLAGS) $(INCS) -c $<


clean:
	$(RM)  $(OBJ) $(TARGET) *~

## trayer 1.1

=== Makefile ===
--- 
+++ 
@@ -5,24 +5,10 @@
 
 # Part 1
 # recursive make
-.PHONY: subdirs
-all clean distclean install uninstall: subdirs
 
-SUBDIRS = systray
-.PHONY: $(SUBDIRS)
-subdirs: $(SUBDIRS)
-$(SUBDIRS):
-	$(MAKE) -C $@ $(MAKECMDGOALS)
-
-
-
-SRC = panel.c misc.c plugin.c gtkbar.c bg.c 
+SRC = panel.c misc.c bg.c eggtraymanager.c eggmarshalers.c fixedtip.c main.c gdk-helper.c
 OBJ = $(SRC:%.c=%.o)
 DEP = $(SRC:%.c=%.dep)
-
-SYSTRAYOBJ = systray/systray.o
-SYSTRAYOBJ: systray
-
 
 ifneq ($(MAKECMDGOALS),clean)
 ifneq ($(MAKECMDGOALS),distclean)
@@ -34,8 +20,8 @@
 
 
 TARGET = trayer
-$(TARGET): $(OBJ) $(SYSTRAYOBJ)
-	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) $(SYSTRAYOBJ) -o $@
+$(TARGET): $(OBJ) 
+	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) -o $@
 ifeq (,$(DEVEL))
 	strip $@
 endif

=== debian/changelog ===
trayer (1.1-1) unstable; urgency=low

  * Since old upstream is dead, switch upstream to sargon's "fork with
    multi monitor support, cleaned up codebase and other fancy stuff":
    http://github.com/sargon/trayer-srg
    (Closes: #568852)
    (Closes: #621988)

 -- Jens Peter Secher <jps@debian.org>  Mon, 07 Feb 2011 20:17:10 +0100

trayer (1.0-6) unstable; urgency=low

  * Converted to dpkg-source format 3.0 (quilt).

 -- Jens Peter Secher <jps@debian.org>  Thu, 03 Feb 2011 23:15:09 +0100

trayer (1.0-5) unstable; urgency=low

  * Let --distancefrom default to top so that the old behaviour of
    --distance is maintained.
    (Closes: #568289)

 -- Jens Peter Secher <jps@debian.org>  Sat, 06 Feb 2010 11:33:25 +0100

trayer (1.0-4) unstable; urgency=low

  * New --distancefrom parameter for better placement control, thanks for
    patch from Yury Akudovich.
  * Explicitly link to X11.
    (Closes: #556502)

 -- Jens Peter Secher <jps@debian.org>  Tue, 02 Feb 2010 18:56:45 +0100

trayer (1.0-3) unstable; urgency=low

  * New maintainer.
    (Closes: 541265)
  * Included missing copyrights for additional source code.
  * Removed linking against unneeded libraries (generated by pkg-config).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Upgraded to debhelper 7.
  * Cleaned up debian/rules by removing unnecessary debhelper calls.
  * Bumped Standards-Version to 3.8.3, no changes needed.

 -- Jens Peter Secher <jps@debian.org>  Tue, 01 Sep 2009 21:21:12 +0200

trayer (1.0-2) unstable; urgency=low

  * Allowed to use GtkTooltips, deprecated by gtk 2.12 (Closes: #444529).
  * Documentation fixed (Closes: #410275, #408555, #322627).
  * Striping binaries fixed (Closes: #438220).

 -- Tomasz Melcer <liori@interia.pl>  Sat, 06 Oct 2007 21:17:07 +0200

trayer (1.0-1) unstable; urgency=low

  * Initial Release (Closes: #295835).
  * Adjusted Makefile to fix problems with recompilation.
  * Removed from --help information about wrongly working "RoundCorners"
    option.
  * Added menu entry.

 -- Tomasz Melcer <liori@interia.pl>  Sun, 13 Feb 2005 14:10:33 +0100

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for trayer.

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs CREDITS
	dh_installchangelogs CHANGELOG
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

.PHONY: build clean binary-indep binary-arch binary install

## trayer 1.1.1

=== Makefile ===
# Part 0
# load common stuff
TOPDIR = .
include $(TOPDIR)/Makefile.common

# Part 1
# recursive make

SRC = panel.c misc.c bg.c eggtraymanager.c eggmarshalers.c fixedtip.c main.c gdk-helper.c
OBJ = $(SRC:%.c=%.o)
DEP = $(SRC:%.c=%.dep)

ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),distclean)
-include $(DEP)
endif
endif


TARGET = trayer
$(TARGET): $(OBJ) 
	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) -o $@
ifeq (,$(DEVEL))
	strip $@
endif

all: $(TARGET)


clean:
	$(RM) $(TARGET) $(OBJ) $(DEP) *~

distclean: 
	rm -f Makefile.config config.h

install: 
	install -d $(PREFIX)/bin
	install -m 755 $(TARGET) $(PREFIX)/bin

uninstall:
	rm -f $(PREFIX)/bin/$(TARGET)

=== debian/changelog ===
trayer (1.1.1-1ubuntu1) oneiric; urgency=low

  * as-needed.diff: fix FTBFS with --as-needed linker option (LP: #756058).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 03 Jul 2011 16:28:49 +0400

trayer (1.1.1-1) unstable; urgency=low

  * New upstream version, which fixes huge values in
    _NET_WM_STRUT_PARTIAL.
    (Closes: #623429)

 -- Jens Peter Secher <jps@debian.org>  Sun, 08 May 2011 21:35:49 +0200

=== debian/control ===
Source: trayer
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jens Peter Secher <jps@debian.org>
Build-Depends: debhelper (>= 7), libgtk2.0-dev, libxmu-dev
Standards-Version: 3.9.1
Homepage: http://github.com/sargon/trayer-srg
Vcs-Hg: http://hg.debian.org/hg/collab-maint/trayer

Package: trayer
Architecture: any
Suggests: menu
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight GTK2-based systray for UNIX desktop
 trayer is a small program designed to provide systray functionality
 present in GNOME/KDE desktop environments for window managers which
 do not support that function. System tray is a place, where various
 applications put their icons, so they are always visible presenting
 status of applications and allowing user to control programs.
 .
 The code started out as an extraction from fbpanel.

## trayer 1.1.4

=== debian/changelog ===
trayer (1.1.4-2) unstable; urgency=low

  * Add --monitor option to man page.

 -- David Bremner <bremner@debian.org>  Sun, 10 Jun 2012 10:15:01 -0300

trayer (1.1.4-1) unstable; urgency=low

  [ David Bremner ]
  * New upstream version.
  * Bump Standards-Version (no changes)

  [ Cleto Martin ]
  * Adopting package and updating debian/control file (Closes: #628943)
  * Update debian/copyright information.
  * debian/rules using simple dh.

 -- David Bremner <bremner@debian.org>  Fri, 08 Jun 2012 09:14:57 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: trayer
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jens Peter Secher <jps@debian.org>
-Build-Depends: debhelper (>= 7), libgtk2.0-dev, libxmu-dev
-Standards-Version: 3.9.1
+Maintainer: David Bremner <bremner@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libxmu-dev
+Standards-Version: 3.9.3
 Homepage: http://github.com/sargon/trayer-srg
-Vcs-Hg: http://hg.debian.org/hg/collab-maint/trayer
+Vcs-Git: git://git.debian.org/git/collab-maint/trayer
 
 Package: trayer
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for trayer.

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

%:
	dh $@

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

## trayer 1.1.5

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 TARGET = trayer
 $(TARGET): $(OBJ) 
-	$(CC) $(LDFLAGS) $(LIBS) $(OBJ) -o $@
+	$(CC) $(LDFLAGS) $(OBJ) -o $@ $(LIBS)
 ifeq (,$(DEVEL))
 	strip $@
 endif

=== debian/changelog ===
trayer (1.1.5-1) unstable; urgency=low

  * New upstream release
  * remove suggests on menu (Closes: #647381).
  * Bump standards version (no changes)
  * Add hardening flags

 -- David Bremner <bremner@debian.org>  Mon, 12 Aug 2013 14:38:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libxmu-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/sargon/trayer-srg
 Vcs-Git: git://git.debian.org/git/collab-maint/trayer
 
 Package: trayer
 Architecture: any
-Suggests: menu
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Lightweight GTK2-based systray for UNIX desktop
  trayer is a small program designed to provide systray functionality

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for trayer.

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS LDFLAGS CPPFLAGS

%:
	dh $@

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

=== debian/watch ===
version=3
http://githubredir.debian.net/github/sargon/trayer-srg /trayer-([\d\.]+)\.tar.gz

## trayer 1.1.7

=== debian/changelog ===
trayer (1.1.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control: remove libxmu-dev from B-D.
  * d/p/0001-Transferred-patches-to-new-upstream.patch: remove, no need.
  * d/p/0002-Makefile.common-add-CPPFLAGS-to-compilation-rules.patch: refresh.
  * debian/rules: use override_dh_auto_configure
    and remove override_dh_auto_clean.
  * debian/source/options: remove.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 08 Jul 2017 13:37:25 +0900

trayer (1.1.5-3) unstable; urgency=medium

  * New maintainer (Closes: #854927).
    thanks to David Bremner <bremner@debian.org> for previous works.
  * debian/control: update VCS-* field uses an encrypted canonical URI.
  * debian/watch: use direct links to the github tags page.
  * debian/copyright: fix spelling error: duplicate word.
  * debian/rules: Enabling hardening build options.
  * debian/control, debian/compat: Migrate to debhelper 10.
  * d/p/0003-fix-spelling-error-in-binary.patch: fix misc.c.
  * Bump standards version (no changes)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 08 Jul 2017 00:18:51 +0900

trayer (1.1.5-2) unstable; urgency=medium

  * Orphan package (see #854927)

 -- David Bremner <bremner@debian.org>  Mon, 03 Jul 2017 16:10:47 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: trayer
 Section: x11
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libxmu-dev
-Standards-Version: 3.9.4
+Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
+Build-Depends: debhelper (>= 10), libgtk2.0-dev
+Standards-Version: 4.0.0
 Homepage: http://github.com/sargon/trayer-srg
-Vcs-Git: git://git.debian.org/git/collab-maint/trayer
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/trayer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/trayer.git
 
 Package: trayer
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for trayer.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr

## trayer 1.1.8

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 TARGET = trayer
-$(TARGET): $(OBJ) 
+$(TARGET): $(OBJ)
 	$(CC) $(LDFLAGS) $(OBJ) -o $@ $(LIBS)
 ifeq (,$(DEVEL))
 	strip $@
@@ -30,12 +30,12 @@
 clean:
 	$(RM) $(TARGET) $(OBJ) $(DEP) *~
 
-distclean: 
+distclean:
 	rm -f Makefile.config config.h
 
-install: 
-	install -d $(PREFIX)/bin
-	install -m 755 $(TARGET) $(PREFIX)/bin
+install:
+	install -d $(DESTDIR)$(PREFIX)/bin
+	install -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/bin
 
 uninstall:
-	rm -f $(PREFIX)/bin/$(TARGET)
+	rm -f $(DESTDIR)$(PREFIX)/bin/$(TARGET)

=== debian/changelog ===
trayer (1.1.8-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1098014)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Oct 2025 15:03:54 +0300

trayer (1.1.8-4) unstable; urgency=medium

  * New maintainer. (Closes: #996439)
    Thanks to HIGUCHI Daisuke (VDR dai) <dai@debian.org> for previous work.
  * Merge Debian specific trayer(1) man page with upstream.
  * Bump Standards-Version to 4.6.1.

 -- Stefan Kangas <stefankangas@gmail.com>  Sat, 15 Oct 2022 09:35:44 +0200

trayer (1.1.8-3) unstable; urgency=medium

  * orphan package.
  * Add salsa-ci.yml.
  * Set upstream metadata fields.
  * eliminate lintian info: older-debian-watch-file-standard.
  * eliminate lintian warning: national-encoding.
  * set Rules-Requires-Root as no.
  * Bump debhelper from old 11 to 13.
  * bump up Standards-Version 4.6.0.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 14 Oct 2021 14:12:07 +0900

trayer (1.1.8-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #901341)
    + Use the makefile build system so dh_auto_build passes cross tools.
    + Disable stripping during build.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 12 Jun 2018 19:12:44 +0900

trayer (1.1.8-1) unstable; urgency=medium

  * New upstream release
  * removed imported upstream patch.
  - d/p/0002-Makefile.common-add-CPPFLAGS-to-compilation-rules.patch
  - d/p/0003-fix-spelling-error-in-binary.patch
  * d/copyright: convert to DEP5 format.
  * Move Vcs-* to salsa.debian.org
  * eliminate lintian warning: homepage-field-uses-insecure-uri
  * upgrade debhelper to 11
  * bump up Standards-Version 4.1.3

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 19 Mar 2018 11:10:13 +0900

=== debian/control ===
Source: trayer
Section: x11
Priority: optional
Maintainer: Stefan Kangas <stefankangas@gmail.com>
Build-Depends: debhelper-compat (= 13), libgtk2.0-dev
Standards-Version: 4.6.1
Homepage: https://github.com/sargon/trayer-srg
Vcs-Git: https://salsa.debian.org/skangas/trayer.git
Vcs-Browser: https://salsa.debian.org/skangas/trayer
Rules-Requires-Root: no

Package: trayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight GTK2-based systray for UNIX desktop
 trayer is a small program designed to provide systray functionality
 present in GNOME/KDE desktop environments for window managers which
 do not support that function. The system tray is an area, intended to
 always be visible, where some applications put icons to indicate
 their status, and often allowing the user to control programs.
 .
 The code started out as an extraction from fbpanel.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = $(OPTFLAGS) -Wall
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DEVEL=do not strip

%:
	dh $@ --buildsystem=makefile

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_installdocs:
	mv -f $(CURDIR)/CREDITS $(CURDIR)/CREDITS.orig
	iconv -f ISO-8859-1 -t UTF-8 $(CURDIR)/CREDITS.orig > $(CURDIR)/CREDITS
	dh_installdocs
	mv -f $(CURDIR)/CREDITS.orig $(CURDIR)/CREDITS

=== debian/watch ===
version=4
https://github.com/sargon/trayer-srg/tags .*/trayer-([\d\.]+)\.tar\.gz
